---
title: List signing keys
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Stream](https://developers.cloudflare.com/api/go/resources/stream)

[Keys](https://developers.cloudflare.com/api/go/resources/stream/subresources/keys)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List signing keys

client.Stream.Keys.Get(ctx, query) (\*SinglePage\[[KeyGetResponse](<https://developers.cloudflare.com/api/go/resources/stream#(resource)%20stream.keys%20%3E%20(model)%20KeyGetResponse%20%3E%20(schema)>)], error)

GET/accounts/{account\_id}/stream/keys

Lists the video ID and creation date and time when a signing key was created.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Stream Write``Stream Read`

##### ParametersExpand Collapse

<details>

<summary>

query KeyGetParams

</summary>

AccountID param.Field\[string]

Identifier.

maxLength32

<a href="#(resource)%20stream.keys%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20stream.keys%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type KeyGetResponse struct{…}

</summary>

ID stringOptional

Identifier.

maxLength32

<a href="#(resource)%20stream.keys%20%3E%20(model)%20KeyGetResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

Created TimeOptional

The date and time a signing key was created.

formatdate-time

<a href="#(resource)%20stream.keys%20%3E%20(model)%20KeyGetResponse%20%3E%20(schema)%20%3E%20(property)%20created">Link to this property</a>

KeyID stringOptional

The unique identifier for the signing key.

<a href="#(resource)%20stream.keys%20%3E%20(model)%20KeyGetResponse%20%3E%20(schema)%20%3E%20(property)%20key_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20stream.keys%20%3E%20(model)%20KeyGetResponse%20%3E%20(schema)>)

### List signing keys

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/stream"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.Stream.Keys.Get(context.TODO(), stream.KeyGetParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "created": "2014-01-02T02:20:00Z",
      "key_id": "e9db990a82666dd571c77f944a5c5c8d"
    }
  ]
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "created": "2014-01-02T02:20:00Z",
      "key_id": "e9db990a82666dd571c77f944a5c5c8d"
    }
  ]
}
```